Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize.transition
Class TextSerializer

    java.lang.Object
      |
      +--org.apache.xml.serialize.transition.BaseMarkupSerializer
            |
            +--org.apache.xml.serialize.transition.TextSerializer

public final class TextSerializer
extends BaseMarkupSerializer

Implements a text serializer supporting both DOM and SAX serializing. For usage instructions see `Serializer`.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. DOM serializing is done by calling `BaseMarkupSerializer.serialize(org.w3c.dom.Element)` and SAX serializing is done by firing SAX events and using the serializer as a document handler.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

See Also:
  `Serializer`

Constructor Summary
`TextSerializer()` Constructs a new serializer.

Method Summary
`void` | `characters(char[] chars, int start, int length)`
`void` | `comment(char[] chars, int start, int length)`
`void` | `comment(java.lang.String text)`
`void` | `endElement(java.lang.String tagName)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)`
`void` | `processingInstruction(java.lang.String target, java.lang.String code)`
`void` | `setOutputFormat(OutputFormat format)`
`void` | `startElement(java.lang.String tagName, AttributeList attrs)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName, Attributes attrs)`

Methods inherited from class org.apache.xml.serialize.transition.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, externalEntityDecl, getOutputFormat, getOutputStream, getWriter, ignorableWhitespace, internalEntityDecl, notationDecl, reset, serialize, serialize, serialize, serializeXPathReturnNode, setDocumentLocator, setOutputStream, setWriter, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSerializer

    public TextSerializer()

  Constructs a new serializer. The serializer cannot be used without calling `#setOutputCharStream` or `#setOutputByteStream` first.

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Overrides:
    setOutputFormat in class BaseMarkupSerializer

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String rawName,
                             Attributes attrs)

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String rawName)

### startElement

    public void startElement(java.lang.String tagName,
                             AttributeList attrs)

### endElement

    public void endElement(java.lang.String tagName)

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String code)

  Overrides:
    processingInstruction in class BaseMarkupSerializer

### comment

    public void comment(java.lang.String text)

  Overrides:
    comment in class BaseMarkupSerializer

### comment

    public void comment(char[] chars,
                        int start,
                        int length)

  Overrides:
    comment in class BaseMarkupSerializer

### characters

    public void characters(char[] chars,
                           int start,
                           int length)

  Overrides:
    characters in class BaseMarkupSerializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.